Project information
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://studio.edgeimpulse.com/v1/api/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://studio.edgeimpulse.com/v1/api/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://studio.edgeimpulse.com/v1/api/{projectId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://studio.edgeimpulse.com/v1/api/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"project": {
"id": 1,
"name": "Water hammer detection",
"description": "<string>",
"created": "2019-07-21T17:32:28Z",
"owner": "<string>",
"ownerIsDeveloperProfile": true,
"collaborators": [
{
"id": 1,
"username": "janjongboom",
"name": "Jan Jongboom",
"email": "quijote@edgeimpulse.com",
"created": "2019-08-31T17:32:28Z",
"staffInfo": {
"isStaff": true,
"hasSudoRights": true,
"companyName": "<string>"
},
"pending": true,
"activated": true,
"mfaConfigured": true,
"isOwner": true,
"photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
"lastSeen": "2019-08-31T17:32:28Z",
"jobTitle": "Software Engineer",
"permissions": [
"admin:infra:datasetVersioning:queue:write"
],
"companyName": "Edge Impulse Inc.",
"stripeCustomerId": "<string>",
"hasPendingPayments": true,
"tier": "free",
"idps": [
"<string>"
]
}
],
"labelingMethod": "single_label",
"metadata": {},
"isEnterpriseProject": true,
"whitelabelId": 123,
"tier": "free",
"hasPublicVersion": true,
"isPublic": true,
"allowsLivePublicAccess": true,
"indPauseProcessingSamples": true,
"publicProjectListed": true,
"lastAccessed": "2019-07-21T17:32:28Z",
"lastModified": "2019-07-21T17:32:28Z",
"lastModificationDetails": "Data sample added",
"logo": "<string>",
"ownerUserId": 123,
"ownerOrganizationId": 123,
"ownerAvatar": "<string>",
"developerProfileUserId": 123,
"dataExplorerScreenshot": "<string>",
"whitelabelName": "<string>",
"tags": [
"FOMO",
"beers"
],
"category": "Accelerometer",
"license": "Apache-2.0",
"deletedDate": "2023-11-07T05:31:56Z",
"fullDeletionDate": "2023-11-07T05:31:56Z",
"scheduledFullDeletionDate": "2023-11-07T05:31:56Z"
},
"developmentKeys": {
"apiKey": "<string>",
"hmacKey": "<string>"
},
"impulse": {
"created": true,
"configured": true,
"complete": true
},
"devices": [
{
"id": 1,
"deviceId": "38:f9:d3:d7:62:03",
"created": "2019-07-21T17:32:28Z",
"lastSeen": "2019-08-31T17:32:28Z",
"name": "m6d.1 desk sensor",
"deviceType": "DISCO-L475VG",
"sensors": [
{
"name": "Built-in accelerometer",
"maxSampleLengthS": 123,
"frequencies": [
62.5,
100
]
}
],
"remote_mgmt_connected": true,
"supportsSnapshotStreaming": true,
"remoteMgmtMode": "disconnected",
"remote_mgmt_host": "<string>",
"workloadIdentity": true,
"workloads": [
{
"workloadId": "<string>",
"connected": true,
"models": [
{
"id": "<string>",
"inferenceInfo": {
"projectId": 123,
"projectName": "<string>",
"projectOwner": "<string>",
"deploymentVersion": 123,
"modelType": "<string>"
}
}
]
}
],
"inferenceInfo": {
"projectId": 123,
"projectOwner": "<string>",
"projectName": "<string>",
"deployedVersion": 123,
"modelType": "classification"
}
}
],
"dataSummary": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"dataSummaryPerCategory": {
"training": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"testing": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"validation": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"postProcessing": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
}
},
"computeTime": {
"periodStartDate": "2023-11-07T05:31:56Z",
"periodEndDate": "2023-11-07T05:31:56Z",
"timeUsedMs": 123,
"timeLeftMs": 123
},
"acquisitionSettings": {
"intervalMs": 123,
"lengthMs": 123,
"segmentShift": true,
"defaultPageSize": 123,
"viewType": "list",
"gridColumnCount": 123,
"gridColumnCountDetailed": 123,
"showExactSampleLength": true,
"inlineEditBoundingBoxes": true,
"sensor": "<string>",
"label": "<string>",
"segmentLength": 123
},
"collaborators": [
{
"id": 1,
"username": "janjongboom",
"name": "Jan Jongboom",
"email": "quijote@edgeimpulse.com",
"created": "2019-08-31T17:32:28Z",
"staffInfo": {
"isStaff": true,
"hasSudoRights": true,
"companyName": "<string>"
},
"pending": true,
"activated": true,
"mfaConfigured": true,
"photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
"lastSeen": "2019-08-31T17:32:28Z",
"jobTitle": "Software Engineer",
"permissions": [
"admin:infra:datasetVersioning:queue:write"
],
"companyName": "Edge Impulse Inc.",
"stripeCustomerId": "<string>",
"hasPendingPayments": true,
"tier": "free",
"idps": [
"<string>"
]
}
],
"deploySettings": {
"eonCompiler": true,
"sensor": "accelerometer",
"arduinoLibraryName": "<string>",
"tinkergenLibraryName": "<string>",
"particleLibraryName": "<string>",
"lastDeployModelEngine": "tflite-eon"
},
"experiments": [
{
"type": "<string>",
"title": "<string>",
"enabled": true,
"showToUser": true,
"help": "<string>"
}
],
"latencyDevices": [
{
"mcu": "<string>",
"name": "<string>",
"selected": true,
"int8Latency": 123,
"int8ConvLatency": 123,
"float32Latency": 123,
"float32ConvLatency": 123,
"helpText": "<string>"
}
],
"urls": {
"mobileClient": "<string>",
"mobileClientComputer": "<string>",
"mobileClientInference": "<string>"
},
"showCreateFirstImpulse": true,
"showGettingStartedWizard": {
"showWizard": true,
"step": 123,
"tutorial": "kws",
"classes": [
"<string>"
]
},
"performance": {
"gpu": true,
"jobLimitM": 123,
"dspFileSizeMb": 123,
"enterprisePerformance": true,
"trainJobRamMb": 123
},
"trainJobNotificationUids": [
123
],
"dspJobNotificationUids": [
123
],
"modelTestingJobNotificationUids": [
123
],
"exportJobNotificationUids": [
123
],
"hasNewTrainingData": true,
"studioUrl": "<string>",
"inPretrainedModelFlow": true,
"showSensorDataInAcquisitionGraph": true,
"notifications": [
"<string>"
],
"error": "<string>",
"readme": {
"markdown": "<string>",
"html": "<string>"
},
"csvImportConfig": {},
"dspPageSize": 123,
"windowJobConcurrency": 123,
"targetConstraints": {
"targetDevices": [
{
"processors": [
{
"part": "<string>",
"format": "low-end MCU",
"architecture": "Cortex-M",
"specificArchitecture": "Cortex-M0+",
"accelerator": "Arm Cortex-U55",
"fpu": true,
"clockRateMhz": {
"minimum": 123,
"maximum": 123
},
"memory": {
"ram": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
},
"rom": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
}
}
}
],
"board": "<string>",
"name": "<string>",
"latencyDevice": "cortex-m4f-80mhz"
}
],
"applicationBudgets": [
{
"latencyPerInferenceMs": {
"minimum": 123,
"maximum": 123
},
"energyPerInferenceJoules": {
"minimum": 123,
"maximum": 123
},
"memoryOverhead": {
"ram": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
},
"rom": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
}
}
}
],
"selectedTargetBasedOn": "user-configured"
},
"defaultImpulseId": 123,
"lastShownModelEngine": "tflite-eon",
"versioningStorageSizeMib": 123,
"anomalyLabelsConfig": {
"anomalyLabels": [
"<string>"
],
"noAnomalyLabels": [
"<string>"
]
},
"datasetSplitOptions": {
"trainingSplitRatio": 123,
"testingSplitRatio": 123,
"validationSplitRatio": 123,
"excludeDisabledSamples": false,
"stratifyBy": {
"label": true,
"metadataKeys": [
"<string>"
]
},
"keepTogetherMetadataKeys": [
"<string>"
]
},
"explicitValidationEnabled": true
}Project information
List all information about this project.
GET
/
api
/
{projectId}
Project information
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://studio.edgeimpulse.com/v1/api/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://studio.edgeimpulse.com/v1/api/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://studio.edgeimpulse.com/v1/api/{projectId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://studio.edgeimpulse.com/v1/api/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"project": {
"id": 1,
"name": "Water hammer detection",
"description": "<string>",
"created": "2019-07-21T17:32:28Z",
"owner": "<string>",
"ownerIsDeveloperProfile": true,
"collaborators": [
{
"id": 1,
"username": "janjongboom",
"name": "Jan Jongboom",
"email": "quijote@edgeimpulse.com",
"created": "2019-08-31T17:32:28Z",
"staffInfo": {
"isStaff": true,
"hasSudoRights": true,
"companyName": "<string>"
},
"pending": true,
"activated": true,
"mfaConfigured": true,
"isOwner": true,
"photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
"lastSeen": "2019-08-31T17:32:28Z",
"jobTitle": "Software Engineer",
"permissions": [
"admin:infra:datasetVersioning:queue:write"
],
"companyName": "Edge Impulse Inc.",
"stripeCustomerId": "<string>",
"hasPendingPayments": true,
"tier": "free",
"idps": [
"<string>"
]
}
],
"labelingMethod": "single_label",
"metadata": {},
"isEnterpriseProject": true,
"whitelabelId": 123,
"tier": "free",
"hasPublicVersion": true,
"isPublic": true,
"allowsLivePublicAccess": true,
"indPauseProcessingSamples": true,
"publicProjectListed": true,
"lastAccessed": "2019-07-21T17:32:28Z",
"lastModified": "2019-07-21T17:32:28Z",
"lastModificationDetails": "Data sample added",
"logo": "<string>",
"ownerUserId": 123,
"ownerOrganizationId": 123,
"ownerAvatar": "<string>",
"developerProfileUserId": 123,
"dataExplorerScreenshot": "<string>",
"whitelabelName": "<string>",
"tags": [
"FOMO",
"beers"
],
"category": "Accelerometer",
"license": "Apache-2.0",
"deletedDate": "2023-11-07T05:31:56Z",
"fullDeletionDate": "2023-11-07T05:31:56Z",
"scheduledFullDeletionDate": "2023-11-07T05:31:56Z"
},
"developmentKeys": {
"apiKey": "<string>",
"hmacKey": "<string>"
},
"impulse": {
"created": true,
"configured": true,
"complete": true
},
"devices": [
{
"id": 1,
"deviceId": "38:f9:d3:d7:62:03",
"created": "2019-07-21T17:32:28Z",
"lastSeen": "2019-08-31T17:32:28Z",
"name": "m6d.1 desk sensor",
"deviceType": "DISCO-L475VG",
"sensors": [
{
"name": "Built-in accelerometer",
"maxSampleLengthS": 123,
"frequencies": [
62.5,
100
]
}
],
"remote_mgmt_connected": true,
"supportsSnapshotStreaming": true,
"remoteMgmtMode": "disconnected",
"remote_mgmt_host": "<string>",
"workloadIdentity": true,
"workloads": [
{
"workloadId": "<string>",
"connected": true,
"models": [
{
"id": "<string>",
"inferenceInfo": {
"projectId": 123,
"projectName": "<string>",
"projectOwner": "<string>",
"deploymentVersion": 123,
"modelType": "<string>"
}
}
]
}
],
"inferenceInfo": {
"projectId": 123,
"projectOwner": "<string>",
"projectName": "<string>",
"deployedVersion": 123,
"modelType": "classification"
}
}
],
"dataSummary": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"dataSummaryPerCategory": {
"training": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"testing": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"validation": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
},
"postProcessing": {
"totalLengthMs": "726336",
"labels": [
"<string>"
],
"totalLabels": 123,
"dataCount": 123,
"min": 123,
"max": 123,
"mean": 123
}
},
"computeTime": {
"periodStartDate": "2023-11-07T05:31:56Z",
"periodEndDate": "2023-11-07T05:31:56Z",
"timeUsedMs": 123,
"timeLeftMs": 123
},
"acquisitionSettings": {
"intervalMs": 123,
"lengthMs": 123,
"segmentShift": true,
"defaultPageSize": 123,
"viewType": "list",
"gridColumnCount": 123,
"gridColumnCountDetailed": 123,
"showExactSampleLength": true,
"inlineEditBoundingBoxes": true,
"sensor": "<string>",
"label": "<string>",
"segmentLength": 123
},
"collaborators": [
{
"id": 1,
"username": "janjongboom",
"name": "Jan Jongboom",
"email": "quijote@edgeimpulse.com",
"created": "2019-08-31T17:32:28Z",
"staffInfo": {
"isStaff": true,
"hasSudoRights": true,
"companyName": "<string>"
},
"pending": true,
"activated": true,
"mfaConfigured": true,
"photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
"lastSeen": "2019-08-31T17:32:28Z",
"jobTitle": "Software Engineer",
"permissions": [
"admin:infra:datasetVersioning:queue:write"
],
"companyName": "Edge Impulse Inc.",
"stripeCustomerId": "<string>",
"hasPendingPayments": true,
"tier": "free",
"idps": [
"<string>"
]
}
],
"deploySettings": {
"eonCompiler": true,
"sensor": "accelerometer",
"arduinoLibraryName": "<string>",
"tinkergenLibraryName": "<string>",
"particleLibraryName": "<string>",
"lastDeployModelEngine": "tflite-eon"
},
"experiments": [
{
"type": "<string>",
"title": "<string>",
"enabled": true,
"showToUser": true,
"help": "<string>"
}
],
"latencyDevices": [
{
"mcu": "<string>",
"name": "<string>",
"selected": true,
"int8Latency": 123,
"int8ConvLatency": 123,
"float32Latency": 123,
"float32ConvLatency": 123,
"helpText": "<string>"
}
],
"urls": {
"mobileClient": "<string>",
"mobileClientComputer": "<string>",
"mobileClientInference": "<string>"
},
"showCreateFirstImpulse": true,
"showGettingStartedWizard": {
"showWizard": true,
"step": 123,
"tutorial": "kws",
"classes": [
"<string>"
]
},
"performance": {
"gpu": true,
"jobLimitM": 123,
"dspFileSizeMb": 123,
"enterprisePerformance": true,
"trainJobRamMb": 123
},
"trainJobNotificationUids": [
123
],
"dspJobNotificationUids": [
123
],
"modelTestingJobNotificationUids": [
123
],
"exportJobNotificationUids": [
123
],
"hasNewTrainingData": true,
"studioUrl": "<string>",
"inPretrainedModelFlow": true,
"showSensorDataInAcquisitionGraph": true,
"notifications": [
"<string>"
],
"error": "<string>",
"readme": {
"markdown": "<string>",
"html": "<string>"
},
"csvImportConfig": {},
"dspPageSize": 123,
"windowJobConcurrency": 123,
"targetConstraints": {
"targetDevices": [
{
"processors": [
{
"part": "<string>",
"format": "low-end MCU",
"architecture": "Cortex-M",
"specificArchitecture": "Cortex-M0+",
"accelerator": "Arm Cortex-U55",
"fpu": true,
"clockRateMhz": {
"minimum": 123,
"maximum": 123
},
"memory": {
"ram": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
},
"rom": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
}
}
}
],
"board": "<string>",
"name": "<string>",
"latencyDevice": "cortex-m4f-80mhz"
}
],
"applicationBudgets": [
{
"latencyPerInferenceMs": {
"minimum": 123,
"maximum": 123
},
"energyPerInferenceJoules": {
"minimum": 123,
"maximum": 123
},
"memoryOverhead": {
"ram": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
},
"rom": {
"fastBytes": {
"minimum": 123,
"maximum": 123
},
"slowBytes": {
"minimum": 123,
"maximum": 123
}
}
}
}
],
"selectedTargetBasedOn": "user-configured"
},
"defaultImpulseId": 123,
"lastShownModelEngine": "tflite-eon",
"versioningStorageSizeMib": 123,
"anomalyLabelsConfig": {
"anomalyLabels": [
"<string>"
],
"noAnomalyLabels": [
"<string>"
]
},
"datasetSplitOptions": {
"trainingSplitRatio": 123,
"testingSplitRatio": 123,
"validationSplitRatio": 123,
"excludeDisabledSamples": false,
"stratifyBy": {
"label": true,
"metadataKeys": [
"<string>"
]
},
"keepTogetherMetadataKeys": [
"<string>"
]
},
"explicitValidationEnabled": true
}Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Query Parameters
Response
200 - application/json
OK
Was this page helpful?